## jreen 1.1.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT(Jreen)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_JREEN_VERSION_MAJOR 1 CACHE INT "Major Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_MINOR 1 CACHE INT "Minor Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_PATCH 1 CACHE INT "Release Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_STRING "${CMAKE_JREEN_VERSION_MAJOR}.${CMAKE_JREEN_VERSION_MINOR}.${CMAKE_JREEN_VERSION_PATCH}" CACHE STRING "Jreen version string" FORCE)

# Search for source and headers in source directory (non-recursive)
FILE(GLOB_RECURSE SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")
FILE(GLOB_RECURSE HDR "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")

# Require QT 4.6
SET(QT_MIN_VERSION "4.6.0")

# Search for QT4
FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork REQUIRED)
INCLUDE(${QT_USE_FILE})
INCLUDE(jreenMacros)
FIND_PACKAGE(QCA2 REQUIRED)

if( JREEN_BUILD_INTERNAL )
	add_definitions( "-DJ_BUILD_INTERNAL" )
endif()
FIND_PACKAGE(PkgConfig)

#pkg_search_module(NICE nice)
#if(NOT NICE_FOUND)
#	message(STATUS "Could not find nice library.")
#else(NOT NICE_FOUND)
#	message(STATUS "Nice library is found.")
#	include_directories(${NICE_INCLUDE_DIRS})
#	ADD_DEFINITIONS("-DJREEN_HAVE_NICE=1")
#endif(NOT NICE_FOUND)

pkg_search_module(SPEEX speex)
if(NOT SPEEX_FOUND)
	message(STATUS "Could not find speex library.")
else(NOT SPEEX_FOUND)
	message(STATUS "Speex library is found.")
	include_directories(${SPEEX_INCLUDE_DIRS})
	ADD_DEFINITIONS("-DJREEN_HAVE_SPEEX=1")
endif(NOT SPEEX_FOUND)

# FindZLIB is broken on Ubuntu, so find the library using pkg-config
if(LINUX)
	find_package(PkgConfig)
	pkg_search_module(ZLIB_PKGCONF REQUIRED zlib)
	find_path(ZLIB_INCLUDE_DIR
	  NAMES zlib.h
	  PATHS ${ZLIB_PKGCONF_INCLUDE_DIRS}
	)
	find_library(ZLIB_LIBRARIES
	  NAMES z
	  PATHS ${ZLIB_PKGCONF_LIBRARY_DIRS}
	)
	if(NOT ZLIB_INCLUDE_DIR)
	  message(SEND_ERROR "Could not find zlib includes.")
	endif(NOT ZLIB_INCLUDE_DIR)
	if(NOT ZLIB_LIBRARIES)
	  message(SEND_ERROR "Could not find zlib library.")
	endif(NOT ZLIB_LIBRARIES)


else()
	find_package(ZLIB REQUIRED)
endif()

#add_subdirectory(3rdparty)

#spike

# Add include directories
INCLUDE_DIRECTORIES(.
	${CMAKE_CURRENT_BINARY_DIR}
	3rdparty
	${QCA2_INCLUDE_DIR}
	${ZLIB_INCLUDE_DIR}
)

LIST(APPEND SRC ${3RD_PARTY_SRC_C})
LIST(APPEND SRC ${3RD_PARTY_SRC})
LIST(APPEND HDR ${3RD_PARTY_HDR})

# Ice support
option(JREEN_USE_IRISICE "Use ICE from IRIS" OFF)
if (JREEN_USE_IRISICE)
	file(GLOB_RECURSE ICESUPPORT_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/icesupport/*.cpp")
	file(GLOB_RECURSE ICESUPPORT_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/icesupport/*.c")
	file(GLOB_RECURSE ICESUPPORT_HDR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/icesupport/*.h")
	list(APPEND SRC ${ICESUPPORT_SRC})
	list(APPEND SRC ${ICESUPPORT_SRC_C})
	list(APPEND HDR ${ICESUPPORT_HDR})
	add_definitions("-DHAVE_IRISICE")
endif()

option(JREEN_USE_SIMPLESASL "Use SimpleSASL" ON)
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/simplesasl")
	set(JREEN_USE_SIMPLESASL OFF)
	message("Using cyrus sasl auth")
endif()
if(JREEN_USE_SIMPLESASL)
	message("Using simple sasl auth instead cyrus sasl")
	add_definitions("-DHAVE_SIMPLESASL")
	file(GLOB_RECURSE SIMPLESASL_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/simplesasl/*.cpp")
	file(GLOB_RECURSE SIMPLESASL_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/simplesasl/*.c")
	file(GLOB_RECURSE SIMPLESASL_HDR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/simplesasl/*.h")
	list(APPEND SRC ${SIMPLESASL_SRC})
	list(APPEND SRC ${SIMPLESASL_SRC_C})
	list(APPEND HDR ${SIMPLESASL_HDR})
endif()

option(JREEN_USE_SYSTEM_JDNS "Use system JDNS" OFF)
if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns")
	set(JREEN_USE_SYSTEM_JDNS ON)
endif()
if(JREEN_USE_SYSTEM_JDNS)
	# For Linux it was found already before at line 29
	if(NOT LINUX)
		find_package(PkgConfig)
	endif()
	pkg_search_module(JDNS REQUIRED qjdns)
	include_directories(${JDNS_INCLUDE_DIR})
	list(APPEND EXTRA_LIBS ${JDNS_LIBRARIES})
else()
	file(GLOB_RECURSE JDNS_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns/*.cpp")
	file(GLOB_RECURSE JDNS_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns/*.c")
	file(GLOB_RECURSE JDNS_HDR "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns/*.h")
	list(APPEND SRC ${JDNS_SRC})
	list(APPEND SRC ${JDNS_SRC_C})
	list(APPEND HDR ${JDNS_HDR})
	include_directories("${CMAKE_CURRENT_SOURCE_DIR}/3rdparty")
endif()

# Generate moc files
JREEN_WRAP_CPP(MOC_SRC ${HDR})

# This project will generate library

if(SYMBIAN)
	set(JREEN_BUILD_TYPE STATIC)
else()
set(JREEN_BUILD_TYPE SHARED)
endif()

ADD_LIBRARY(jreen ${JREEN_BUILD_TYPE} ${SRC} ${MOC_SRC} ${HDR} )

#compiler flags
#fixme add macro to clang
if(CMAKE_COMPILER_IS_GNUCXX)
	IF(SYMBIAN)
		#disable stupid warnings
		ADD_DEFINITIONS("-w")
	ELSE()
		ADD_DEFINITIONS("-Wall -Wextra" ) #add -Werror
	ENDIF()
	if(NOT WIN32)
		ADD_DEFINITIONS("-fvisibility=hidden" )
	endif(NOT WIN32)
elseif(MSVC)
	ADD_DEFINITIONS("/W3" )
endif()

set_target_properties(jreen PROPERTIES
	VERSION ${CMAKE_JREEN_VERSION_STRING}
	SOVERSION ${CMAKE_JREEN_VERSION_MAJOR}
	DEFINE_SYMBOL J_BUILD_LIBRARY
)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/jreen" )
file(GLOB_RECURSE JREEN_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/src" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")
foreach(header ${JREEN_INCLUDE_HEADERS})
	if(NOT ${header} MATCHES ".*_p\\.h")
		if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/src/${header}\"
	"
			)
		endif(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
		get_filename_component(headerPath ${header} PATH)
		install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/${header}"
				DESTINATION include/jreen/${headerPath}
				COMPONENT jreenDevel
		)
    endif(NOT ${header} MATCHES ".*_p\\.h")
endforeach(header)

set(JREEN_LIBRARIES jreen CACHE INTERNAL "" )
set(JREEN_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "")

IF(WIN32)
	LIST(APPEND EXTRA_LIBS ws2_32)
ENDIF()
#IF(NICE_FOUND)
#	LIST(APPEND EXTRA_LIBS ${NICE_LIBRARIES})
#ENDIF(NICE_FOUND)
IF(SPEEX_FOUND)
	LIST(APPEND EXTRA_LIBS ${SPEEX_LIBRARIES})
ENDIF(SPEEX_FOUND)

# Link with Qt
#IF(SYMBIAN)
#ENDIF()

JREEN_TARGET_LINK_LIBRARIES(jreen
	${QT_LIBRARIES}
	${QCA2_LIBRARIES}
	${ZLIB_LIBRARIES}
	${EXTRA_LIBS}
)

# Install package config file
if(NOT WIN32)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libjreen.pc.cmake
		${CMAKE_CURRENT_BINARY_DIR}/libjreen.pc
	)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libjreen.pc
	DESTINATION lib${LIB_SUFFIX}/pkgconfig
)
endif(NOT WIN32)

install( TARGETS jreen
	RUNTIME DESTINATION bin
		COMPONENT jreen
	LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreen
	ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreenDevel
	BUNDLE DESTINATION library
)

=== 3rdparty/jdns/CMakeLists.txt ===
# libjdns project for cmake
CMAKE_MINIMUM_REQUIRED( VERSION 2.6 )
PROJECT( libjdns )

# Set sources
SET( SRC
    "jdns.c"
    "jdns_mdnsd.c"
    "jdns_packet.c"
    "jdns_sys.c"
    "jdns_util.c"
    "qjdns_sock.cpp"
    "qjdns.cpp"
)

# MinGW special options
# Not sure if those applicable for linux
if(MINGW)
    ADD_DEFINITIONS( -DUNICODE -DQT_LARGEFILE_SUPPORT -DLIBQUTIM_LIBRARY -DQT_THREAD_SUPPORT )
    LIST( APPEND COMPILE_FLAGS "-mthreads" )
endif(MINGW)

# Require QT 4.6
SET( QT_MIN_VERSION "4.6.0" )

# Set QT modules
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTGUI FALSE )

# Search for QT4
FIND_PACKAGE( Qt4 REQUIRED )

# Include QT4
INCLUDE( ${QT_USE_FILE} )

# Add include directories
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

# Generate moc files
QT4_AUTOMOC( "qjdns.cpp" )

# This project will generate static library
ADD_LIBRARY( libjdns STATIC ${SRC} )

if( CMAKE_COMPILER_IS_GNUCXX )
	set_target_properties( libjdns PROPERTIES COMPILE_FLAGS "${COMPILE_FLAGS} -fPIC -DPIC" )
endif( CMAKE_COMPILER_IS_GNUCXX )

# Set tagret properties
SET_TARGET_PROPERTIES ( libjdns PROPERTIES PREFIX "")

# Link with QT
#TARGET_LINK_LIBRARIES( jdns ${QT_LIBRARIES} )

=== debian/changelog ===
jreen (1.1.1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Prepare for archive inclusion
  * Update debian/copyright

  [ Harald Sitter ]
  * Bump standards version to 3.9.4

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Fri, 08 Mar 2013 00:00:33 +0530

jreen (1.1.1-0~raring1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jan 2013 16:29:17 +0100

jreen (1.0.5-0~git~quantal1) quantal; urgency=low

  * Forward port to quantal

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jun 2012 16:19:30 +0530

jreen (1.0.5-0~git~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Apr 2012 23:10:14 +0200

jreen (1.0.1-0~git~precise1) precise; urgency=low

  * Initial release (git 1.0.1 tag)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 09 Mar 2012 23:38:49 +0100

=== debian/control ===
Source: jreen
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               libidn11-dev,
               libqca2-dev,
               libqt4-dev (>= 4:4.6.0),
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: https://gitorious.org/jreen

Package: libjreen1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: tomahawk (<< 0.3.2~)
Replaces: tomahawk (<< 0.3.2~)
Description: Qt XMPP library
 Jreen is an extensible Qt-based asynchronious Jabber library.

Package: libjreen-dev
Section: libdevel
Architecture: any
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Description: Qt XMPP library - development files
 Jreen is an extensible Qt-based asynchronious Jabber library.
 .
 This package contains the files that are needed to develop applications
 that use jreen.

Package: libjreen-dbg
Section: debug
Architecture: any
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Breaks: tomahawk-dbg (<< 0.3.2~)
Replaces: tomahawk-dbg (<< 0.3.2~)
Description: Qt XMPP library - debugging symbols
 Jreen is an extensible Qt-based asynchronious Jabber library.
 .
 This package contains the debugging symbols for debugging crashes in the
 jreen library

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=libjreen-dbg --parallel

## jreen 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.6)
project(Jreen)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(CMAKE_JREEN_VERSION_MAJOR 1 CACHE INT "Major Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_MINOR 2 CACHE INT "Minor Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_PATCH 0 CACHE INT "Release Jreen version number" FORCE)
set(CMAKE_JREEN_VERSION_STRING "${CMAKE_JREEN_VERSION_MAJOR}.${CMAKE_JREEN_VERSION_MINOR}.${CMAKE_JREEN_VERSION_PATCH}" CACHE STRING "Jreen version string" FORCE)

# Search for source and headers in source directory (non-recursive)
file(GLOB_RECURSE SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp")

option(JREEN_FORCE_QT4 "Force using of Qt4 in Jreen" off)
set(JREEN_SUFFIX "")
set(JREEN_INCLUDE_PATH "")
set(JREEN_QT_MIDDLE "")

if(NOT JREEN_FORCE_QT4)
	find_package(Qt5Core QUIET)
endif()

if(Qt5Core_DIR)
    find_package(Qt5Network QUIET)
    message(STATUS "Found Qt5!")
    set(JREEN_SUFFIX "-qt5")
    set(JREEN_INCLUDE_PATH "jreen-qt5")
    set(JREEN_QT_MIDDLE "5")

    add_definitions("-DQT_DISABLE_DEPRECATED_BEFORE=0")
    list(REMOVE_ITEM SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/sjdns.cpp")
else()
    message(STATUS "Could not find Qt5, so let's use Qt4...")
    set(JREEN_INCLUDE_PATH "jreen-qt4")

    find_package(Qt4 4.6.0 COMPONENTS QtCore QtNetwork REQUIRED)

    macro(qt5_use_modules)
    endmacro()

    include(${QT_USE_FILE})
endif()

if(JREEN_BUILD_INTERNAL)
        add_definitions("-DJ_BUILD_INTERNAL")
endif()
find_package(PkgConfig)
find_package(GSASL REQUIRED)

pkg_search_module(SPEEX speex)
if(NOT SPEEX_FOUND)
    message(STATUS "Could not find speex library.")
else()
    message(STATUS "Speex library is found.")
    include_directories(${SPEEX_INCLUDE_DIRS})
    add_definitions("-DJREEN_HAVE_SPEEX=1")
endif()

# FindZLIB is broken on Ubuntu, so find the library using pkg-config
if(LINUX)
    find_package(PkgConfig)
    pkg_search_module(ZLIB_PKGCONF REQUIRED zlib)

    find_path(ZLIB_INCLUDE_DIR
        NAMES zlib.h
        PATHS ${ZLIB_PKGCONF_INCLUDE_DIRS}
    )

    find_library(ZLIB_LIBRARIES
        NAMES z
        PATHS ${ZLIB_PKGCONF_LIBRARY_DIRS}
    )

    if(NOT ZLIB_INCLUDE_DIR)
        message(SEND_ERROR "Could not find zlib includes.")
    endif(NOT ZLIB_INCLUDE_DIR)

    if(NOT ZLIB_LIBRARIES)
        message(SEND_ERROR "Could not find zlib library.")
    endif(NOT ZLIB_LIBRARIES)
else()
    find_package(ZLIB REQUIRED)
endif()

# Add include directories
include_directories(.
    ${CMAKE_CURRENT_BINARY_DIR}
    3rdparty
    ${GSASL_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIR}
)

LIST(APPEND SRC ${3RD_PARTY_SRC_C})
LIST(APPEND SRC ${3RD_PARTY_SRC})

# Ice support
option(JREEN_USE_IRISICE "Use ICE from IRIS" OFF)
if (JREEN_USE_IRISICE)
    file(GLOB_RECURSE ICESUPPORT_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/icesupport/*.cpp")
    file(GLOB_RECURSE ICESUPPORT_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/icesupport/*.c")
    list(APPEND SRC ${ICESUPPORT_SRC})
    list(APPEND SRC ${ICESUPPORT_SRC_C})
    add_definitions("-DHAVE_IRISICE")
endif()

if(NOT Qt5Core_DIR)
    option(JREEN_USE_SYSTEM_JDNS "Use system JDNS" OFF)

    if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns")
        set(JREEN_USE_SYSTEM_JDNS ON)
    endif()

    if(JREEN_USE_SYSTEM_JDNS)
        # For Linux it was found already before at line 29
        if(NOT LINUX)
                find_package(PkgConfig)
        endif()
        pkg_search_module(JDNS REQUIRED qjdns)
        include_directories(${JDNS_INCLUDE_DIR})
        list(APPEND EXTRA_LIBS ${JDNS_LIBRARIES})
    else()
        file(GLOB_RECURSE JDNS_SRC "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns/*.cpp")
        file(GLOB_RECURSE JDNS_SRC_C "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/jdns/*.c")
        list(APPEND SRC ${JDNS_SRC})
        list(APPEND SRC ${JDNS_SRC_C})
        include_directories("${CMAKE_CURRENT_SOURCE_DIR}/3rdparty")
    endif()
endif()

# This project will generate library

if(SYMBIAN)
    set(JREEN_BUILD_TYPE STATIC)
else()
set(JREEN_BUILD_TYPE SHARED)
endif()

ADD_LIBRARY(jreen${JREEN_SUFFIX} ${JREEN_BUILD_TYPE} ${SRC} ${MOC_SRC})

#compiler flags
#fixme add macro to clang
if(CMAKE_COMPILER_IS_GNUCXX)
        if(SYMBIAN)
		#disable stupid warnings
		ADD_DEFINITIONS("-w")
        else()
		ADD_DEFINITIONS("-Wall -Wextra" ) #add -Werror
        ENDif()
        if(NOT WIN32)
		ADD_DEFINITIONS("-fvisibility=hidden" )
        endif(NOT WIN32)
elseif(MSVC)
	ADD_DEFINITIONS("/W3" )
endif()

set_target_properties(jreen${JREEN_SUFFIX} PROPERTIES
	VERSION ${CMAKE_JREEN_VERSION_STRING}
	SOVERSION ${CMAKE_JREEN_VERSION_MAJOR}
	DEFINE_SYMBOL J_BUILD_LIBRARY
)

file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/include/jreen" )
file(GLOB_RECURSE JREEN_INCLUDE_HEADERS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/src" "${CMAKE_CURRENT_SOURCE_DIR}/src/*.h")

foreach(header ${JREEN_INCLUDE_HEADERS})
        if(NOT ${header} MATCHES ".*_p\\.h")
                if(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
			file( WRITE "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}"
		"#include \"${CMAKE_CURRENT_SOURCE_DIR}/src/${header}\"
	"
			)
                endif(NOT EXISTS "${CMAKE_CURRENT_BINARY_DIR}/include/jreen/${header}")
		get_filename_component(headerPath ${header} PATH)
		install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/src/${header}"
				DESTINATION include/${JREEN_INCLUDE_PATH}/jreen/${headerPath}
				COMPONENT jreenDevel
		)
    endif(NOT ${header} MATCHES ".*_p\\.h")
endforeach(header)

set(JREEN_LIBRARIES jreen${JREEN_SUFFIX} CACHE INTERNAL "" )
set(JREEN_INCLUDE_DIRS "${CMAKE_CURRENT_BINARY_DIR}/include" CACHE INTERNAL "")

if(WIN32)
    list(APPEND EXTRA_LIBS ws2_32)
endif()

if(SPEEX_FOUND)
    list(APPEND EXTRA_LIBS ${SPEEX_LIBRARIES} )
endif()

target_link_libraries(jreen${JREEN_SUFFIX}
    ${QT_LIBRARIES}
    ${GSASL_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${EXTRA_LIBS}
)

set_target_properties(jreen${JREEN_SUFFIX} PROPERTIES AUTOMOC TRUE)
qt5_use_modules(jreen${JREEN_SUFFIX} Core Network)

# Install package config file
if(NOT WIN32)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libjreen.pc.cmake
		${CMAKE_CURRENT_BINARY_DIR}/libjreen${JREEN_SUFFIX}.pc
	)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libjreen${JREEN_SUFFIX}.pc
	DESTINATION lib${LIB_SUFFIX}/pkgconfig
)
endif()

install( TARGETS jreen${JREEN_SUFFIX}
	RUNTIME DESTINATION bin
		COMPONENT jreen
	LIBRARY DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreen
	ARCHIVE DESTINATION lib${LIB_SUFFIX}
		COMPONENT jreenDevel
	BUNDLE DESTINATION library
)

=== debian/changelog ===
jreen (1.2.0-2fakesync1) yakkety-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Oct 2016 18:12:21 +0100

jreen (1.2.0-2) unstable; urgency=medium

  * Add jreen-qt56.patch to fix build error with Qt 5.6. (Closes: #827585)
  * Update standard version from 3.9.6 to 3.9.8.
  
 -- Stefan Ahlers <stef.ahlers@t-online.de>  Sat, 18 Jun 2016 15:50:50 +0200

jreen (1.2.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #648668)
  * Add multiarch support.
  
 -- Stefan Ahlers <stef.ahlers@t-online.de>  Mon, 08 Feb 2016 15:50:50 +0100

=== debian/control ===
Source: jreen
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Ahlers <stef.ahlers@t-online.de>
Build-Depends: cmake,
               debhelper (>= 9),
               libgsasl7-dev,
               libidn11-dev,
               libqca2-dev,
               libqt4-dev,
               qtbase5-dev,
               zlib1g-dev,
               libqjdns-qt5-dev,
               libqjdns-qt4-dev,
               libjdns-dev
Standards-Version: 3.9.8
Homepage: https://qutim.org/jreen
Vcs-Git: git://github.com/justin-time/libjreen.git
Vcs-Browser: https://github.com/justin-time/libjreen

Package: libjreen1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: powerful Jabber/XMPP library implemented in Qt4/C++
 Jreen is an extensible Qt4-based asynchronious Jabber library.

Package: libjreen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Description: powerful Jabber/XMPP library (Qt4 build) - development files
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt4 application developer can easily use any XMPP features.
 .
 This package contains the files that are needed to develop Qt4-based 
 applications that use jreen.
 
Package: libjreen-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjreen-qt5-1 (= ${binary:Version}),
         ${misc:Depends}
Description: powerful Jabber/XMPP library (Qt5 build) - development files
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.
 .
 This package provides development headers for the library. 

Package: libjreen-qt5-1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: powerful Jabber/XMPP library implemented in Qt5/C++
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.

Package: libjreen-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: libjreen1 (= ${binary:Version}), ${misc:Depends}
Description: powerful Jabber/XMPP library (Qt4 build) - debugging symbols
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt4 application developer can easily use any XMPP features.
 .
 This package contains the debugging symbols for debugging crashes in the
 jreen library
 
Package: libjreen-qt5-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: libjreen-qt5-1 (= ${binary:Version}), ${misc:Depends}
Description: powerful Jabber/XMPP library (Qt5 build) - debugging symbols
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.
 .
 This package contains the debugging symbols for debugging crashes in the
 jreen library

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
QT4_PATH = build/qt4/so
QT5_PATH = build/qt5/so

%:
	dh $@ --parallel
	
override_dh_auto_configure:
	mkdir -p $(QT4_PATH) $(QT5_PATH)
	
	# Qt4 builds
	QT_SELECT=qt4 dh_auto_configure -B$(QT4_PATH) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DJREEN_USE_SYSTEM_JDNS=ON -DJREEN_FORCE_QT4=ON -DQJDNS_SUFFIX=-qt4

	# Qt5 builds 
	QT_SELECT=qt5 dh_auto_configure -B$(QT5_PATH) -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DJREEN_USE_SYSTEM_JDNS=ON -DQJDNS_SUFFIX=-qt5

override_dh_auto_build:
	# Qt4 builds - make (dynamic and static)
	QT_SELECT=qt4 dh_auto_build -B$(QT4_PATH)

	# Qt5 builds - make (dynamic and static)
	QT_SELECT=qt5 dh_auto_build -B$(QT5_PATH)
	
override_dh_auto_clean:
	dh_auto_clean -B$(QT4_PATH)
	dh_auto_clean -B$(QT5_PATH)

override_dh_auto_install:
	# Install Qt4 packages
	dh_auto_install -B$(QT4_PATH)

	# Install Qt5 packages
	dh_auto_install -B$(QT5_PATH)

override_dh_strip:
	dh_strip -plibjreen1 --dbg-package=libjreen-dbg
	dh_strip -plibjreen-qt5-1 --dbg-package=libjreen-qt5-dbg

override_dh_install:
	dh_install --list-missing

## jreen 1.2.0%2Bds

=== debian/changelog ===
jreen (1.2.0+ds-5) unstable; urgency=medium

  * QA upload.
  * Use -DCMAKE_POLICY_VERSION_MINIMUM=3.5.  Closes: #1113060.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Run wrap-and-sort -satbk.
  * Fix whitespace in changelog.
  * Bump debian/* copyright years.
  * Use watch v5.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 15 Nov 2025 00:57:53 +0100

jreen (1.2.0+ds-4) unstable; urgency=medium

  * QA upload.
  * Standards-Version: 4.7.0
  * Fix watch and Homepage to use github (qutim.org is gone).

 -- Simon Josefsson <simon@josefsson.org>  Tue, 18 Feb 2025 11:28:47 +0100

jreen (1.2.0+ds-3) unstable; urgency=medium

  * QA upload.
  * Use libidn-dev instead of libidn11-dev.  Closes: #1086102.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 26 Dec 2024 22:42:12 +0100

jreen (1.2.0+ds-2) unstable; urgency=medium

  * QA upload.
  * sed s/libgsasl7-dev/libgsasl-dev/g -i debian/control
    (Closes: #1051176)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2023 22:38:29 +0200

jreen (1.2.0+ds-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Acknowledge previous upload.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use correct Vcs-* URLs.
    + Add speex as build-dep to enable speex support.
    + Use "Rules-Requires-Root: no".
  * debian/rules: Refresh and drop custom --builddirectory.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Apr 2022 13:18:55 -0400

jreen (1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Qt4 packages (Closes: #874918)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 28 Aug 2019 23:02:11 +0200

## jreen 1.2.0+ds

=== debian/control ===
Source: jreen
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgsasl-dev,
 libidn-dev,
 libjdns-dev,
 libqca-qt5-2-dev,
 libqjdns-qt5-dev,
 libspeex-dev,
 qtbase5-dev,
 zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/euroelessar/jreen
Vcs-Git: https://salsa.debian.org/debian/jreen.git
Vcs-Browser: https://salsa.debian.org/debian/jreen

Package: libjreen-qt5-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: powerful Jabber/XMPP library implemented in Qt5/C++
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.

Package: libjreen-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjreen-qt5-1 (= ${binary:Version}),
 ${misc:Depends},
Description: powerful Jabber/XMPP library (Qt5 build) - development files
 Jreen is a lightweight XMPP library, implementing a large amount
 of protocol extensions (XEP). It is fit with Qt coding paradigms,
 so a Qt5 application developer can easily use any XMPP features.
 .
 This package provides development headers for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  \
	-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
	-DJREEN_USE_SYSTEM_JDNS=ON \
	-DQJDNS_SUFFIX=-qt5 \
	$(NULL)


override_dh_strip:
	dh_strip --dbgsym-migration='libjreen-qt5-dbg (<< 1.2.0-3~)'

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/euroelessar/jreen/tags .*/v?(\d\S*)\.tar\.gz debian
